ERP

courier

5 endpoints · /api/erp/v1/courier

Request examples are generated from each endpoint's REAL method and path. 5 endpoints have no hand-verified body example yet; their skeleton has no body — we do not invent field names.

POST/api/erp/v1/courier/orders

Create courier order

Oturum
İstek
curl -X POST "https://{slug}.erp.blesyum.app/api/erp/v1/courier/orders" \
  -H "Authorization: Bearer <oturum-token>" \
  -H "Accept: application/json"
Yanıt
{
  "data": "…",
  "trace_id": "01JC…"
}
GET/api/erp/v1/courier/orders

List courier orders

Oturum
İstek
curl -X GET "https://{slug}.erp.blesyum.app/api/erp/v1/courier/orders" \
  -H "Authorization: Bearer <oturum-token>" \
  -H "Accept: application/json"
Yanıt
{
  "data": "…",
  "trace_id": "01JC…"
}
POST/api/erp/v1/courier/orders/{id}/assign

Assign courier

OturumYol parametresi: id
İstek
curl -X POST "https://{slug}.erp.blesyum.app/api/erp/v1/courier/orders/<id>/assign" \
  -H "Authorization: Bearer <oturum-token>" \
  -H "Accept: application/json"
Yanıt
{
  "data": "…",
  "trace_id": "01JC…"
}
POST/api/erp/v1/courier/orders/{id}/deliver

Deliver courier

OturumYol parametresi: id
İstek
curl -X POST "https://{slug}.erp.blesyum.app/api/erp/v1/courier/orders/<id>/deliver" \
  -H "Authorization: Bearer <oturum-token>" \
  -H "Accept: application/json"
Yanıt
{
  "data": "…",
  "trace_id": "01JC…"
}
POST/api/erp/v1/courier/orders/{id}/fail

Fail courier

OturumYol parametresi: id
İstek
curl -X POST "https://{slug}.erp.blesyum.app/api/erp/v1/courier/orders/<id>/fail" \
  -H "Authorization: Bearer <oturum-token>" \
  -H "Accept: application/json"
Yanıt
{
  "data": "…",
  "trace_id": "01JC…"
}
Bu sayfa işine yaradı mı?